## node-vasync 2.2.0

=== Makefile ===
#
# Copyright (c) 2012, Joyent, Inc. All rights reserved.
#
# Makefile: top-level Makefile
#
# This Makefile contains only repo-specific logic and uses included makefiles
# to supply common targets (javascriptlint, jsstyle, restdown, etc.), which are
# used by other repos as well.
#

#
# Tools must be installed on the path
#
JSL		 = jsl
JSSTYLE		 = jsstyle

#
# Files
#
JS_FILES	:= $(shell find lib tests -name '*.js' -not -name compat\*.js)
JSL_FILES_NODE   = $(JS_FILES)
JSSTYLE_FILES	 = $(JS_FILES)
JSL_CONF_NODE	 = jsl.node.conf

all:
	npm install

test:
	npm test

include ./Makefile.targ

=== debian/changelog ===
node-vasync (2.2.0-2) unstable; urgency=medium

  * Team upload
  * Source only upload

 -- Xavier Guimard <yadd@debian.org>  Tue, 14 Jan 2020 07:15:30 +0100

node-vasync (2.2.0-1) unstable; urgency=low

  * Initial release (Closes: #922710)

 -- suman rajan <suman@protonmail.com>  Sun, 12 Jan 2020 22:39:22 +0100

=== debian/control ===
Source: node-vasync
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: suman rajan <suman@protonmail.com>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 12)
 , nodejs (>= 6)
 , node-verror
 , node-tap
 , nodeunit
 , pkg-js-tools (>= 0.9.3)
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/js-team/node-vasync
Vcs-Git: https://salsa.debian.org/js-team/node-vasync.git
Homepage: https://github.com/davepacheco/node-vasync
Rules-Requires-Root: no

Package: node-vasync
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs (>= 6)
 , node-verror
Description: Utilities for observable asynchronous control flow
 This module provides several functions for asynchronous
 control flow. This one's claim to fame is improved debuggability.
 .
 Node.js is an event-based server-side JavaScript engine.
 .
 Its a dependency of  node-ldapjs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.md
#override_dh_auto_test:

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-vasync-$1.tar.gz/ \
 https://github.com/davepacheco/node-vasync/releases .*/archive/v?([\d\.]+).tar.gz

## node-vasync 2.2.1

=== debian/changelog ===
node-vasync (2.2.1-2) unstable; urgency=medium

  * Team upload
  * Fix test for tap >= 15 (--no-cov) (Closes: #1009509)

 -- Yadd <yadd@debian.org>  Wed, 13 Apr 2022 16:33:32 +0200

node-vasync (2.2.1-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.
  * Remove constraints unnecessary since buster

  [ Yadd ]
  * Bump debhelper compatibility level to 13
  * Fix debian/watch
    + /tags instead of /releases
    + Modernize
    + Fix GitHub tags regex
    + Fix filenamemangle
  * Use dh-sequence-nodejs instead of pkg-js-tools
  * Update standards version to 4.6.0, no changes needed
  * Drop dependency to nodejs
  * Mark test dependencies with <!nocheck>
  * New upstream version 2.2.1

 -- Yadd <yadd@debian.org>  Mon, 08 Nov 2021 15:50:41 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES.md

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-vasync-$1/ \
 https://github.com/davepacheco/node-vasync/tags .*/archive/.*/v?([\d\.]+).tar.gz
